Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class TokenizerTest

    java.lang.Object
      com.singularsys.jeptests.TokenizerTest

    public class TokenizerTest

extends java.lang.Object

Constructor Summary
`TokenizerTest()`

Method Summary
`void` | `alphabeticOpsTest()` Tests operators with alphabet characters, such as the "AND" operator
`void` | `check(java.util.List<Token> tokens, java.util.List<Token> expected)`
`void` | `check(java.util.List<Token> tokens, java.lang.Object[] expected)`
`void` | `check(java.lang.String str, java.lang.String[] expected)`
`void` | `checkComment(Token expected, Token actual)`
`void` | `checkIdentifier(Token expected, Token actual)`
`void` | `checkNumber(Token expected, Token actual)`
`void` | `checkOperator(Token expected, Token actual)`
`void` | `checkString(Token expected, Token actual)`
`void` | `checkWhiteSpace(Token expected, Token actual)`
`void` | `printTokenList(java.util.List<Token> tokens)`
`void` | `setUp()`
`static void` | `setUpBeforeClass()`
`void` | `tearDown()`
`static void` | `tearDownAfterClass()`
`void` | `testEmptyEquations()`
`void` | `testExtended()`
`void` | `testIt()`
`void` | `testMultiLineComments()`
`void` | `testMultiLineWhiteSpace()`
`void` | `testRemoveWhitespace()`
`void` | `testScan()`
`void` | `testScanOps()`
`void` | `testSemiColon()`
`void` | `testSemiColon2()`
`void` | `testTokens()` Tests individual tokens
`void` | `testTwoString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenizerTest

    public TokenizerTest()

Method Detail

### checkIdentifier

    public void checkIdentifier(Token expected,
                                Token actual)

### checkNumber

    public void checkNumber(Token expected,
                            Token actual)

### checkString

    public void checkString(Token expected,
                            Token actual)

### checkComment

    public void checkComment(Token expected,
                             Token actual)

### checkWhiteSpace

    public void checkWhiteSpace(Token expected,
                                Token actual)

### checkOperator

    public void checkOperator(Token expected,
                              Token actual)

### check

    public void check(java.util.List<Token> tokens,
                      java.util.List<Token> expected)

### check

    public void check(java.util.List<Token> tokens,
                      java.lang.Object[] expected)
               throws ParseException

  Throws:
    `ParseException`

### check

    public void check(java.lang.String str,
                      java.lang.String[] expected)
               throws ParseException

  Throws:
    `ParseException`

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDownAfterClass

    public static void tearDownAfterClass()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    public void setUp()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTokens

    public final void testTokens()
                          throws ParseException

  Tests individual tokens

  Throws:
    `ParseException`

### testScan

    public final void testScan()
                        throws ParseException

  Throws:
    `ParseException`

### testRemoveWhitespace

    public final void testRemoveWhitespace()
                                    throws ParseException

  Throws:
    `ParseException`

### testScanOps

    public final void testScanOps()
                           throws ParseException

  Throws:
    `ParseException`

### testIt

    public final void testIt()

### testMultiLineComments

    public void testMultiLineComments()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultiLineWhiteSpace

    public void testMultiLineWhiteSpace()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSemiColon

    public void testSemiColon()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSemiColon2

    public void testSemiColon2()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExtended

    public void testExtended()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### alphabeticOpsTest

    public void alphabeticOpsTest()
                           throws java.lang.Exception

  Tests operators with alphabet characters, such as the "AND" operator

  Throws:
    `java.lang.Exception`

### printTokenList

    public void printTokenList(java.util.List<Token> tokens)

### testTwoString

    public void testTwoString()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEmptyEquations

    public void testEmptyEquations()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep